import { __exports as sync } from '../../../../../../../_virtual/sync.mjs';
import '../readers/sync.mjs';
import './provider.mjs';
import { __exports as sync$1 } from '../../../../../../../_virtual/sync2.mjs';
import { __exports as provider } from '../../../../../../../_virtual/provider.mjs';

Object.defineProperty(sync, "__esModule", {
  value: true
});
const sync_1 = sync$1;
const provider_1 = provider;
class ProviderSync extends provider_1.default {
  constructor() {
    super(...arguments);
    this._reader = new sync_1.default(this._settings);
  }
  read(task) {
    const root = this._getRootDirectory(task);
    const options = this._getReaderOptions(task);
    const entries = this.api(root, task, options);
    return entries.map(options.transform);
  }
  api(root, task, options) {
    if (task.dynamic) {
      return this._reader.dynamic(root, options);
    }
    return this._reader.static(task.patterns, options);
  }
}
sync.default = ProviderSync;
